<?php

class ipay88_credit_cardIpay88ModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

    /**
     * @see FrontController::initContent()
     */

    public function initContent()
    {
		$cart = $this->context->cart;
		
		if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
		Tools::redirect('index.php?controller=order&step=1');
		
		$this->display_column_left = false;
		
       	parent::initContent();
	
		$cart = $this->context->cart;
        
		if (!$this->module->checkCurrency($cart)) 
		{
            Tools::redirect('index.php?controller=order');
        }
	
		$merchant_domain = Tools::getShopDomainSsl(true).__PS_BASE_URI__;

		$view_ipay88_credit_card_method_title	  	= Configuration::get('ipay88_credit_card_method_title');		
        $view_ipay88_credit_card_description     	= Configuration::get('ipay88_credit_card_description');
		$view_ipay88_credit_card_payment_types   	= Configuration::get('ipay88_credit_card_payment_types');
		$view_ipay88_credit_card_payment_types_1 	= Configuration::get('ipay88_credit_card_payment_types_1');
		$view_ipay88_credit_card_payment_types_41 	= Configuration::get('ipay88_credit_card_payment_types_41');
		$view_ipay88_credit_card_payment_types_52 	= Configuration::get('ipay88_credit_card_payment_types_52');
		$view_ipay88_credit_card_payment_types_35 	= Configuration::get('ipay88_credit_card_payment_types_35');
		$view_ipay88_credit_card_payment_types_42 	= Configuration::get('ipay88_credit_card_payment_types_42');
		$view_ipay88_credit_card_payment_types_56 	= Configuration::get('ipay88_credit_card_payment_types_56');
		$view_ipay88_credit_card_payment_types_34	= Configuration::get('ipay88_credit_card_payment_types_34');
		$view_ipay88_credit_card_payment_types_45 	= Configuration::get('ipay88_credit_card_payment_types_45');
		$view_ipay88_credit_card_payment_types_53 	= Configuration::get('ipay88_credit_card_payment_types_53');
		$view_ipay88_credit_card_payment_types_43 	= Configuration::get('ipay88_credit_card_payment_types_43');
		$view_ipay88_credit_card_payment_types_54 	= Configuration::get('ipay88_credit_card_payment_types_54');
		$view_ipay88_credit_card_payment_types_46 	= Configuration::get('ipay88_credit_card_payment_types_46');
		
        $this->context->smarty->assign(array(
        	
			'nbProducts' 		=> $cart->nbProducts(),
            'cust_currency' 	=> $cart->id_currency,
            'currencies' 		=> $this->module->getCurrency((int)$cart->id_currency),
            'total' 			=> $cart->getOrderTotal(true, Cart::BOTH),
            'isoCode' 			=> $this->context->language->iso_code,
            'checkName' 		=> $this->module->checkName,
            'checkAddress' 		=> Tools::nl2br($this->module->address),
            
			'this_path' 		=> $this->module->getPathUri(),
            'this_path_check' 	=> $this->module->getPathUri(),
            'this_path_ssl' 	=> Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/',
					
			
			'ipay88_credit_card_method_title' 		=> $view_ipay88_credit_card_method_title,
			'ipay88_credit_card_description' 		=> $view_ipay88_credit_card_description,
			
			'ipay88_credit_card_payment_types_1'	=> $view_ipay88_credit_card_payment_types_1,
			'ipay88_credit_card_payment_types_41'	=> $view_ipay88_credit_card_payment_types_41,
			'ipay88_credit_card_payment_types_52'	=> $view_ipay88_credit_card_payment_types_52, 	
			'ipay88_credit_card_payment_types_35' 	=> $view_ipay88_credit_card_payment_types_35,	
			'ipay88_credit_card_payment_types_42' 	=> $view_ipay88_credit_card_payment_types_42,
			'ipay88_credit_card_payment_types_56' 	=> $view_ipay88_credit_card_payment_types_56,	
			'ipay88_credit_card_payment_types_34' 	=> $view_ipay88_credit_card_payment_types_34,
			'ipay88_credit_card_payment_types_45' 	=> $view_ipay88_credit_card_payment_types_45,
			'ipay88_credit_card_payment_types_53' 	=> $view_ipay88_credit_card_payment_types_53,
			'ipay88_credit_card_payment_types_43'	=> $view_ipay88_credit_card_payment_types_43,
			'ipay88_credit_card_payment_types_54'	=> $view_ipay88_credit_card_payment_types_54,
			'ipay88_credit_card_payment_types_46'	=> $view_ipay88_credit_card_payment_types_46,	
			
			'logo_credit_card'  => $merchant_domain.'modules/ipay88_credit_card/assets/images/credit-card-menu.png',
			
			'logo_cc_bca'	 	=> $merchant_domain.'modules/ipay88_credit_card/assets/images/credit-card-bca.png',
			'logo_cc_maybank'	=> $merchant_domain.'modules/ipay88_credit_card/assets/images/credit-card-maybank.png',
			'logo_cc'			=> $merchant_domain.'modules/ipay88_credit_card/assets/images/credit-card.png',
			'logo_cc_union' 	=> $merchant_domain.'modules/ipay88_credit_card/assets/images/union-pay.png',
			
        ));   	

        $this->setTemplate('module:ipay88_credit_card/views/templates/front/payment_execution.tpl');
   
    }
}

 
